<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {

        Schema::create('manage_restaurants', function (Blueprint $table) {
            $table->id();
            $table->string('short_id')->unique();
            $table->string('name',255)->nullable();
            $table->longText('description')->nullable();
            $table->string('phone_number', 15)->nullable();
            $table->bigInteger('state_xid')->nullable();
            $table->string('restaurant_id')->nullable();
            $table->string('address',255)->nullable();
            $table->string('image')->nullable();
            $table->string('bio')->nullable();
            $table->text('try_on_1')->nullable();
            $table->text('try_on_2')->nullable();
            $table->text('try_on_3')->nullable();
            $table->text('try_on_4')->nullable();
            $table->string('exclusion',255)->nullable();
            $table->string('latitude');
            $table->string('longtitude');
            $table->boolean('is_active')->default(1)->comment('1=Active, 0=Expired');
            $table->integer('created_by')->nullable();
            $table->integer('modified_by')->nullable();
            $table->softDeletes();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('manage_restaurants');
    }
};
